26.3 Major Release Preview
Release Preview - Scheduled for December 5, 2026
Major Release Previews provide you with an early look at the new features and updates that will be provided in the upcoming release. However, in the weeks after this Major Release Preview is published, the release preview page may change with items being added, modified, or removed. When a final draft of the Major Release is published, the “Preview" label is removed and no further planned updates are made to it.
Clear Browser Cache
To ensure you are viewing the very latest of this website, best practice is to clear your browser's cache, especially after any major releases. For instructions on clearing cache, visit a link below for the browser you are using:
- Important Notices
- Encompass Software Development Kit (SDK)
- Encompass Loan APIs
- Settings and Utilities APIs
- Webhooks
- Breaking Changes
- Deprecation and Sunset Notices
- Guides
- Loan Schema Changes
- Postman File Updates
IMPORTANT NOTICES
New Multi-Factor Authentication Default Option: TOTP
The Lender MFA settings page (in the Encompass web interface Admin portal > Company/User Setup) has been updated with a new TOTP option in the Providers list. Starting in Encompass 26.3, this TOTP (Time-based One-Time Password) option can be used to require two-factor authentication for users logging into Encompass (desktop and web interfaces) and the Encompass Connect products. The TOTP option is now the default MFA option selected on the Lender MFA settings page for new 26.3 instances.
As part of this update, the PingID option will no longer be available to use for two-factor authentication starting in Encompass 27.1. In Encompass 26.3, you can continue to use PingID, but the settings information for this provider has been replaced with a message explaining the impending removal of PingID in Encompass 27.1.
If you are currently utilizing PingID as the MFA provider, it is strongly recommended that you select and configure a new provider from the Lender MFA settings screen prior to Encompass 27.1.
Important notes regarding TOTP availability:
- For customers who continue to use Encompass 26.2 instances (existing or new instances) after Encompass 26.3 is released, if MFA is then enabled, these users will go through TOTP by default during the MFA login flow.
- For customers who continue to use Encompass 26.2 (existing or new instances) where MFA is already enabled and using the default PingID option after Encompass 26.3 is released, the TOTP option will not display on the Lender MFA settings page in Encompass 26.2.
- For customers who continue to use Encompass 26.2 (existing or new instances) after Encompass 26.3 is released and then they enable MFA, the PingID MFA provider settings will continue to display on this page in Encompass 26.2. The TOTP option is NOT displayed on the Lender MFA settings page, however, these customers will be assigned to the default TOTP option in the system’s MFA settings. These users must use an authenticator app such as Google Authenticator or Microsoft Authenticator as their second factor. PingID cannot be used for their second factor.
- For customers who upgrade to Encompass 26.3 and then enable MFA, users will be assigned to the TOTP option by default. These users must use an authenticator app such as Google Authenticator or Microsoft Authenticator as their second factor.
EDC-1339 / ENCW-148245
Encompass Product Documentation Now Requires User Authentication
To safeguard ICE intellectual property and prevent unauthorized access to proprietary product documentation, Encompass documentation now requires user authentication to access. This includes (but is not limited to) online help, release notes, product manuals, and other supporting documents.
If you are already logged into Encompass (or Encompass Admin Tools) the links to documentation files in the user interface will continue to work like they have before, with no additional user authentication required.
If you access documentation through external links, including saved bookmarks and emailed links, you must provide your ICE Resource Center login credentials or your Encompass login credentials from the Access Login screen that will be presented. Once provided, the documentation file is displayed. These credentials are retained for subsequent documentation access during the same session.
Please note:
- When using the Sign In with Encompass option in a UAT (User Acceptance Testing) environment, you must provide your Encompass Production sign-in credentials.
- The URLs for ICE product documentation have changed. The
https://help.icemortgagetechnology.com/portion of the URL has changed tohttps://help.mortgagetech.ice.com/. Update your web browser bookmarks or other saved links accordingly.
NICE-60534
ENCOMPASS SOFTWARE DEVELOPMENT KIT (SDK)
SDK to API Transition Deadline Change
The deadline to transition from legacy Encompass SDK (Software Development Kit) integrations to APIs (as previously announced in the 25.2 release notes) has changed. Please see the latest deadline information published in the official Encompass SDK Transition page.
ENCOMPASS LOAN APIs
New APIs for Correspondent Purchase Advice Tracking Logs (new)
The following API endpoints have been added to enable creating, updating, and retrieving logs of historical snapshots of the Correspondent Purchase Advice (CPA) tool fields available in Encompass.
- V3 Get List of Correspondent Purchase Advice Logs
GET /encompass/v3/loans/{loanId}/cpaTrackingLogs - V3 Create Correspondent Purchase Advice Log
POST /encompass/v3/loans/{loanId}/cpaTrackingLogs - V3 Get Specific Correspondent Purchase Advice Log
GET /encompass/v3/loans/{loanId}/cpaTrackingLogs/{cpaLogId} - V3 Update Specific Correspondent Purchase Advice Log
PATCH /encompass/v3/loans/{loanId}/cpaTrackingLogs/{cpaLogId}
In addition, a new ReviseCPA option has been added to the action query parameter for the following existing API. This action enables resetting Field 5120 / CPAConfirmed flag to false so that CPA can be revised and another CPA log can be created.
- V3 Update Loan
PATCH /encompass/v3/loans/{loanId}
EDC-1319
New 'calculateTotalCount' Parameter for V3 Loan Pipeline API (update)
For the V3 Loan Pipeline (with Pagination) API, a new 'calculateTotalCount' query parameter has been added with the following possible values:
- NoWait - (default) The API does not wait for the total count calculation to complete. If the total count is calculated by the time API response is ready, it will be returned, else the total count will be returned as -1 in the response headers.
- NoCount - Total Count will not be returned in the response headers. (recommended)
- CountOnly - Total count will be returned in the response headers with no response body.
- WaitForCount - The API will wait to calculate total before returning the response. (Warning: Could slow down the API response. Use only if needed.)
This enhancement provides more options when waiting to return the Pipeline response with or without total count. This change affects the following API endpoint:
- V3 Loan Pipeline (with Pagination)
POST /encompass/v3/loanPipeline
EDC-1341
SETTINGS and UTILITIES APIs
New Internal/External User Change Password APIs (new)
The following new APIs have been added that enables internal and external (TPO) users to change their Encompass password.
- V3 Change Internal User Password
POST /encompass/v3/users/me/changePassword - V3 Change External User Password
POST /encompass/v3/externalUsers/me/changePassword
EDC-1311
Manage State License Information for External Organizations API (new)
The following API has been added that enables managing state license information for external organizations (TPO). You can add and update state license information for a given external organization.
- Manage External Organization State License Information
PATCH /encompass/v3/settings/externalOrganizations/tpos/{orgId}/licenses
EDC-1333
Calculated Number of Days until Password Expiration Added for User APIs (update)
The following APIs have been enhanced to provide the number of days until password expiration based on the Encompass password policy configured. A new daysUntilPasswordExpiration attribute has been added to accommodate the calculated value. In addition, the passwordChangedDate attribute has been added to the Internal Users APIs to capture the date the Encompass password was last changed. Note: This attribute is already included in the External Users APIs.
- V3 Get All External Users
GET /encompass/v3/externalUsers - V3 Get an External User
GET /encompass/v3/externalUsers/{userId} - V3 Manage External Users
PATCH /encompass/v3/externalUsers - V3 Get a List of Internal Users
GET /encompass/v3/users - V3 Get Internal User Profile
GET /encompass/v3/users/{userId} - V3 Create Internal User
POST /encompass/v3/users - V3 Update Internal User
PATCH /encompass/v3/users/{userId}
EDC-1305
Filter and Sort Query Parameters Added to Get Loan Custom Fields Settings (update)
New Filter and Sort query parameters have been added to the following API. You can now filter and sort by the following attributes: fieldId, format, and maxLength
- V3 Get Loan Custom Field Settings
GET /encompass/v3/settings/loan/customFields
EDC-1307
New External Organization Notes APIs (new)
The following APIs have been added that enable you to retrieve and manage notes for external organizations (TPO).
- V3 Get External Organization Notes
GET /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes - V3 Manage External Organization Notes
PATCH /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes - V3 Get External Organization Note
GET /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes/{noteId}
EDC-1321
Email and Phone Verification Added for User APIs (update)
The following APIs have been enhanced to support verification tracking for email address, phone number, and cell phone number.
- V3 Get All External Users
GET /encompass/v3/externalUsers - V3 Manage External Users
PATCH /encompass/v3/externalUsers - V3 Get an External User
GET /encompass/v3/externalUsers/{userId} - V3 Get a List of Internal Users
GET /encompass/v3/users - V3 Create Internal User
POST /encompass/v3/users - V3 Bulk Update Internal Users
PATCH /encompass/v3/users - V3 Get Internal User Profile
GET /encompass/v3/users/{userId} - V3 Update Internal User
PATCH /encompass/v3/users/{userId}
The following attributes have been added:
- For external users:
emailVerified,phoneVerified,cellPhoneVerified - For internal users:
emailVerified
EDC-1322
WEBHOOKS
Limit Parameter Maximum Increased for Get All Webhook Events API (update)
In release 26.3, the maximum number of event records for the pagination limit query parameter has been increased from 100 to 1000 for the following API. If not defined, the default remains at 100.
- Get All Events
GET /webhook/v1/events
EDC-1292
Webhook Enhancement - Event Reconciliation
This release introduces a correlationId for webhook event history, giving subscribers a reliable way to trace webhook notifications back to the exact action that triggered them — including reconciling all related chunks of a single event. Webhook event history can now be reconciled using a correlationId tied to the originating action, whether that action was made through the Encompass Desktop or Encompass Web interfaces, or the API.
For API-initiated updates, the correlationId is returned in the response header of the triggering call. Subscribers can use this same correlationId to search Event History and retrieve all webhook events generated as a result of that request. The following API now supports this optional correlationId query parameter, allowing subscribers to retrieve event history by correlationId directly, rather than relying solely on event timestamps.
- Get All Events
GET /webhook/v1/events
EDC-1324
Webhook Security Enhancement
As part of our ongoing commitment to platform security, we've updated access controls for webhook subscription management and event history retrieval.
What's changing:
- Webhook subscription management (creating, updating, and retrieving subscriptions) is now limited to internal, authorized users. External users are not authorized to access this functionality.
- Event history retrieval is now limited to internal, authorized users. External users are not authorized to access this functionality.
"External users" refers to Third Party Originators (TPO) users with whom your company does business.
EDC-1328
BREAKING CHANGES
Be sure to visit the Breaking Change Notices page to see a list of ALL breaking changes documented for past and future releases.
Breaking Changes for 26.3 Release
Piggyback LINK Attributes Changing to RetrieveOnly
As mentioned in previous release notes, all Piggyback LINK attributes will be made RetrieveOnly starting in release 26.3. For more information, see the details provided in the Breaking Change Notes page.
EDC-1298 / EDC-1306
Obsolete Properties Being Removed from Loan Contract
As mentioned in previous release notes, a series of properties are being removed from the loan.rateLocks section of the V1/V3 loan contract in release 26.3. For more information, see the details provided in the Breaking Change Notes page.
EDC-1308 / EDC-1309
Breaking Changes for 27.1 Release
Removing Obsolete Rate Lock Entities
As mentioned in previous release notes, a series of entities are being removed from the Loan Contract in release 27.1 and represents a breaking change to V3 Get Loan. For more information, see the details provided in the Breaking Change Notes page.
EDC-1286
Deprecating aclRights in favor of accessRights in Persona API
The aclRights attribute will be replaced with a new attribute called accessRights (will be added in release 27.1) to enhance the Persona management operations with the upcoming Create/Update APIs. The two attributes will coexist for one release, and in a future release, the aclRights attribute will be removed. This represents a breaking change to the following API:
- V3 Get a Persona
GET /encompass/v3/settings/personas/{id}
EDC-1331
Breaking Changes for 27.2 Release
Cell Phone Changing to Mandatory Attribute for External Users
Beginning in release 27.2, the cellPhone field will become a required attribute for the following API in order to facilitate new cell phone verification and Multi-Factor Authentication (MFA) One-Time Password (OTP) options being implemented in Encompass. This represents a breaking change to the following API endpoint:
- V3 Manage External Users
PATCH /encompass/v3/externalUsers
EDC-1318
Retaining Deleted Empty Document Folders/Containers in Removed Section of Loan File to Stop
Currently, deleted documents (folders/containers, not attachments themselves) are being retained in the removed section of the loan file. Over time, large volumes of these empty document folders/containers can cause failures due to excess file size. To resolve this issue, starting with Encompass release 27.2, when deleting empty documents, the system will no longer retain these unused document folders/containers in the removed section in the loan file. This represents a breaking change to the following API:
- V3 Get List of Documents
GET /encompass/v3/loans/{loanId}/documents
As of release 27.2, any calls using the isRemoved query parameter in this API endpoint will still work, but there will be no removed documents returned.
Behavior will not change for conditions or attachments.
EDC-1344
DEPRECATION and SUNSET NOTICES
Be sure to visit the Deprecation and Sunset Notices page to see a list of ALL deprecations and sunsets documented for past and future releases.
Sunset of V1 eFolder Attachment APIs
As mentioned in previous release notes, a series of V1 eFolder Attachment APIs are scheduled for sunset in release 26.3. For more details and the alternative API endpoints to use, see Sunsetting V1 eFolder Attachment APIs in the Deprecation and Sunset Notices page.
EDC-1186
Sunsetting 'createAuthCode' Method
As mentioned in previous release notes, the 'createAuthCode' method previously announced as being deprecated with the 23.3 release, will be officially sunset in the upcoming 27.1 release. See the original deprecation notice for more details regarding the alternative getAccessToken() method that should now be used.
EDC-1300 / EDC-1310
Delayed Sunset of TPO Connect Application Object Methods
The following methods that have been listed as deprecated for the tpoApplication Object and previously announced as sunsetting in release 26.2, will now be officially sunset in the 26.3 release. Please begin using the replacements as noted below.
| Sunsetting Methods | Method Replacement |
|---|---|
| getLoanSummary | Loan object |
| getLoanData | Loan object |
| createAuthCode (click here to see new update regarding this method) | Auth object |
EDC-1275
GUIDES
- Added a new Onboarding section to the Point of Sale Framework (POSF) Integration Guide.
- New item added to the Plugin Best Practices regarding invoking
elli.script.connect()to properly trigger partner plugins on Encompass desktop.
LOAN SCHEMA CHANGES
The Encompass Loan Schema is updated with every major release to include new fields and update existing fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and update fields, please refer to the following links:
- Replication: Encompass Data Connect (Replication) Release Notes
- Hosted: Encompass Data Connect (Hosted) Release Notes
- Direct Write: Encompass Data Connect (Direct Write) Release Notes
POSTMAN FILE UPDATES
The following Postman files have been updated to support release 26.3. All new and updated samples are prefixed with "26.3R" for each reference. NOTE: Postman files are not updated during the release preview window.
- Encompass Developer Connect Postman Collection
- Encompass Developer Connect Postman Environment Variables
See Testing with Postman for more details and to download the latest versions of each Postman file.
